Package org.apache.sling.testing.clients.interceptors

# Class UserAgentInterceptor

java.lang.Object
org.apache.sling.testing.clients.interceptors.UserAgentInterceptor

All Implemented Interfaces:
  `org.apache.http.HttpRequestInterceptor`

public class UserAgentInterceptor extends Object implements org.apache.http.HttpRequestInterceptor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`USER_AGENT_HEADER`

## Constructor Summary

Constructors
Constructor
Description
`UserAgentInterceptor()`

## Method Summary

Modifier and Type
Method
Description
`void`
`process(org.apache.http.HttpRequest httpRequest, org.apache.http.protocol.HttpContext httpContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### USER_AGENT_HEADER

public static final String USER_AGENT_HEADER

See Also:
  - Constant Field Values

## Constructor Details

### UserAgentInterceptor

public UserAgentInterceptor()

## Method Details

### process

public void process(org.apache.http.HttpRequest httpRequest, org.apache.http.protocol.HttpContext httpContext)

Specified by:
  `process` in interface `org.apache.http.HttpRequestInterceptor`